%Vektorfeld F(x,y) = (u,v) plotten, normiert Einheitslänge

%Gitter: x und y sind Matrizen der Grösse 13x13, je nach Vektorfeld bieten
%sich andere Gittergrössen und -schrittweiten an
[x,y] = meshgrid(-6:1:6);

%Definiton des Vektorfeldes ohne Normierung gemäss Abbildungsvorschrift
u1=-y;
v1=x;
 
%Norm von (u,v) an jedem Punkt des Gitters (.* bedeutet, dass man die
%Matrix eintragsweise multipliziert und NICHT eine Matrizenmultiplikation
%ausführt!)
norm=sqrt(u1.*u1 + v1.*v1);

%Normierung von (u,v)
u=u1./norm;
v=v1./norm;

%Plotten des Vektorfeldes:
%quiver(x,y,u,v,0) plottet das normierte Vektorfeld ohne Skalierung
%quiver(x,y,u,v,1) skaliert das normierte Vektorfeld so, dass es ins Gitter passt
%quiver(x,y,v,k) für Zahlen k legt den Skalierungsfaktor manuell fest
quiver(x,y,u,v,1)
axis equal;